Show / Hide Table of Contents

# Class OpenIddictConstants.Permissions.GrantTypes

##### Inheritance

System.Object
OpenIddictConstants.Permissions.GrantTypes

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class GrantTypes

### Fields

#### AuthorizationCode

##### Declaration

    public const string AuthorizationCode = "gt:authorization_code"

##### Field Value

Type | Description
--- | ---
System.String |

#### ClientCredentials

##### Declaration

    public const string ClientCredentials = "gt:client_credentials"

##### Field Value

Type | Description
--- | ---
System.String |

#### DeviceCode

##### Declaration

    public const string DeviceCode = "gt:urn:ietf:params:oauth:grant-type:device_code"

##### Field Value

Type | Description
--- | ---
System.String |

#### Implicit

##### Declaration

    public const string Implicit = "gt:implicit"

##### Field Value

Type | Description
--- | ---
System.String |

#### Password

##### Declaration

    public const string Password = "gt:password"

##### Field Value

Type | Description
--- | ---
System.String |

#### RefreshToken

##### Declaration

    public const string RefreshToken = "gt:refresh_token"

##### Field Value

Type | Description
--- | ---
System.String |